org.apache.ignite.ml.selection.scoring.metric.classification

## Class Recall<L extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric<L>
  - - org.apache.ignite.ml.selection.scoring.metric.classification.Recall<L>

- All Implemented Interfaces:
    Serializable, Metric<L,BinaryClassificationEvaluationContext<L>,BinaryClassificationPointwiseMetricStatsAggregator<L>>

      public class Recall<L extends Serializable>
      extends BinaryClassificationMetric<L>

  Recall metric class for binary classification.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Recall()` Creates an instance Recall class.
    `Recall(L truthLabel, L falseLabel)` Creates an instance Recall class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Recall<L>` | `initBy(BinaryClassificationPointwiseMetricStatsAggregator<L> aggr)` Initializes metric value by statistics aggregator.
    `MetricName` | `name()` Returns metric name.
    `double` | `value()` Returns metric value.

    - ### Methods inherited from class org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric

      `makeAggregator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Recall

          public Recall(L truthLabel,
                        L falseLabel)

      Creates an instance Recall class.
      Parameters:
        `truthLabel` - Truth label.
        `falseLabel` - False label.

    - #### Recall

          public Recall()

      Creates an instance Recall class.

  - ### Method Detail

    - #### initBy

          public Recall<L> initBy(BinaryClassificationPointwiseMetricStatsAggregator<L> aggr)

      Initializes metric value by statistics aggregator.
      Parameters:
        `aggr` - Aggregator.

    - #### value

          public double value()

      Returns metric value.
      Returns:
        Metric value.

    - #### name

          public MetricName name()

      Returns metric name.
      Returns:
        Metric name.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022